Package com.ericsson.otp.erlang

# Class OtpNode.Mailboxes

java.lang.Object
com.ericsson.otp.erlang.OtpNode.Mailboxes

Enclosing class:
  `OtpNode`

public class OtpNode.Mailboxes extends Object

## Constructor Summary

Constructors
Constructor
Description
`Mailboxes()`

## Method Summary

Modifier and Type
Method
Description
`void`
`clear()`
`OtpMbox`
`create()`
`OtpMbox`
`create(String name)`
`OtpMbox`
`get(OtpErlangPid pid)`
`OtpMbox`
`get(String name)`
`String[]`
`names()`
`boolean`
`register(String name, OtpMbox mbox)`
`void`
`remove(OtpMbox mbox)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Mailboxes

public Mailboxes()

## Method Details

### create

public OtpMbox create(String name)

### create

public OtpMbox create()

### clear

public void clear()

### names

public String[] names()

### register

public boolean register(String name, OtpMbox mbox)

### get

public OtpMbox get(String name)

### get

public OtpMbox get(OtpErlangPid pid)

### remove

public void remove(OtpMbox mbox)